@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box !important;
}

:root{
    --primary-color: #260646;
    --secondary-color: #725F88;
}

a, button{
    text-decoration: none;
    cursor: pointer;
}

h1, h2, h3, p, span, a, input, label, button{
    font-family: 'Montserrat', sans-serif;
}

h1, h2, span, a{
    font-weight: 700;
}

p, button{
    font-weight: 300;
}

span{
    color: #fff;
}

input, h3, label{
    font-weight: 400;
}

/* HEADER */

header{
  padding: 3vh 10vw;
  position: relative;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}

header > img{
    height: 10vh;
}

header .links{
    height: 10vh;
    display: flex;
    gap: 20px;
}

header .links a{
    display: flex;
    align-items: center;
    font-size: 14px;
    gap: 10px;
    width: fit-content;
    font-size: 16px;
}

header .links a img{
    height: 60%;
}

header .links a:first-child{
    color: var(--primary-color);
}

header .links a:last-child{
    color: #64CF46;
}

@media screen and (max-width:768px) {

    header{
        align-items: center;
    }
    
    header .links{
        flex-direction: column;
        height: auto;
        gap: 0;
    }

    header .links a{
        font-size: 12px;
        height: 30px;
    }
}

/* BANNER */

section#banner{
    width: 100vw;
    height: 70vh;
    background: url('/assets/img/banner.webp');
    background-size: cover;
    background-position: left 50%;
    padding: 10vh 20vw;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    gap: 5vh;
}

section#banner .title{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

section#banner .title span{
    background-color: var(--primary-color);
    width: fit-content;
    padding: 5px;
    font-size: 35px;
    text-transform: uppercase;
}

section#banner p{
    color: #fff;
    font-size: 16px;
    width: 60%;
}

@media screen and (max-width:768px){
    
    section#banner{
        height: 84vh;
        justify-content: center;
        background-position: 63% 50%;
        padding: 10vh 10vw;
    }

    section#banner .title span{
        font-size: 8vw;
    }

    section#banner p{
        width: auto;
    }
}

/* INTRO */

section#intro{
    width: 70vw;
    padding: 10vh 0 0 10vw;
    text-align: center;
}

section#intro span{
    background-color: var(--secondary-color);
    font-size: 20px;
    text-transform: uppercase;
    padding: 5px 10px;
    border-radius: 20px;
}

section#intro h1{
    font-size: 40px;
    text-transform: uppercase;
    margin: 40px 0 18vh 0;
}

section#intro .images{
    display: flex;
    width: 100%;
    padding: 0 8%;
    background-color: var(--primary-color);
    height: 12vw;
    border-radius: 20vh;
    gap: 5%;
    margin-bottom: 15vh;
    align-items: center;
}

section#intro .images img{
    width: 15vw;
    height: 15vw;
    border-radius: 10%;
    object-fit: cover;
    object-position: 80%;
}

section#intro .images img:nth-child(2){
    object-position: 50% 10%;
}

section#intro p{
    font-size: 20px;
    margin-bottom: 80px;
}

section#intro a{
    font-size: 28px;
    padding: 10px 20px;
    border-radius: 30px;
    color: #fff;
    text-transform: uppercase;
    background-color: var(--secondary-color);
    transition: background-color 0.2s ease-in-out;
}

section#intro a:hover{
    background-color: var(--primary-color);
}

@media screen and (max-width:768px){
    
    section#intro{
        padding: 10vh 10vw;
        width: 100vw;
    }

    section#intro span{
        font-size: 16px;
    }

    section#intro h1{
        font-size: 24px;
        margin: 60px 0;
    }

    section#intro .images{
        flex-direction: column;
        height: auto;
        width: 40vw;
        align-items: center;
        margin: 0 auto;
        gap: 20px;
        padding: 10vh 0;
        border-radius: 30vh;
    }

    section#intro .images img{
        margin: 0;
        height: 60vw;
        width: 60vw;
    }

    section#intro p{
        margin: 80px 0;
        font-size: 16px;
    }

    section#intro a{
        font-size: 18px;
    }
}

/* FINAl */

section#final{
    padding-top: 10vh;
}

section#final .banner{
    width: 100vw;
    height: 50vh;
    background: url('/assets/img/banner-2.webp');
    background-size: cover;
    background-position: center 45%;
}

section#final .content{
    width: 70vw;
    padding-left: 10vw;
    text-align: center;
}

section#final .content .title{
    margin: -10vh auto 0 auto;
    width: fit-content;
}

section#final .content .title h1, section#final .content .title h2{
    background-color: var(--primary-color);
    color: #fff;
    padding: 5px;
    text-transform: uppercase;
    font-size: 30px;
}

section#final .content > p{
    margin: 10vh 0;
    font-size: 18px;
}

section#intro .promo{
    background-color: var(--secondary-color);
    text-transform: uppercase;
    display: flex;
    flex-direction: column;
    gap: 1px;
    width: fit-content;
    margin: 0 auto;
    padding: 15px 30px;
    border-radius: 40px;
}

section#intro .promo span{
    font-size: 22px;
}

section#intro .promo p{
    font-weight: 700;
    color: #fff;
    font-size: 18px;
}


section#final .content .promo{
    background-color: var(--secondary-color);
    text-transform: uppercase;
    display: flex;
    flex-direction: column;
    gap: 1px;
    width: fit-content;
    margin: 0 auto;
    padding: 15px 30px;
    border-radius: 40px;
}

section#final .content .promo span{
    font-size: 22px;
}

section#final .content .promo p{
    font-weight: 700;
    color: #fff;
    font-size: 18px;
}

section#final .qualities{
    margin-top: 15vh;
    background-color: var(--primary-color);
    width: 100vw;
    padding: 5vh 40vw 5vh 20vw;
    display: flex;
    gap: 10vw;
}

section#final .qualities img{
    width: calc(20vw/3);
    height: calc(20vw/3);
}

section#final .titles{
    padding: 20px 40vw 0 20vw;
    display: flex;
    gap: 8vw;
    text-transform: uppercase;
}

section#final .titles h1{
    font-size: 14px;
    text-align: center;
    width: 8vw;
}

section#final .titles h1:first-child{
    display: flex;
    justify-content: flex-start;
}

section#final .titles h1:last-child{
    display: flex;
    justify-content: flex-end;
}

section#final .banner-2{
    width: 100vw;
    height: 50vh;
    margin-top: 10vh;
    background: url('/assets/img/banner-3.webp');
    background-size: cover;
    background-position: center;
    padding: 0 30vw 0 10vw;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

section#final .banner-2 span{
    background-color: var(--primary-color);
    padding: 5px 2px;
    font-size: 30px;
    text-transform: uppercase;
}

@media screen and (max-width:768px){
    
    section#final .content{
        width: 100vw;
        padding: 0 10vw;
    }

    section#final .content .title h1, section#final .content .title h2{
        font-size: 20px;
    }

    section#final .content > p{
        font-size: 16px;
    }

    section#final .content > p br:first-child{
        display: none;
    }

    section#final .content .promo span{
        font-size: 20px;
    }

    section#final .content .promo p{
        font-size: 16px;
    }

    section#final .qualities{
        padding: 5vh 10vw;
    }

    section#final .qualities img{
        width: 20vw;
        height: 20vw;
    }

    section#final .titles{
        padding: 20px 10vw 0 10vw;
        gap: 10vw;
    }

    section#final .titles h1{
        width: 20vw;
        display: flex;
        justify-content: center !important;
        font-size: 10px;
    }

    section#final .banner-2{
        padding: 0 10vw;
    }

    section#final .banner-2 span{
        font-size: 16px;
        width: fit-content;
    }
}

/* FORM */

section#form{
    width: 30vw;
    height: 100vh;
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

section#form form{
    margin-top: 20vh;
    background-color: var(--secondary-color);
    width: 320px;
    padding: 30px 20px 20px 20px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

section#form form input[type='text']{
    font-size: 14px;
    border: none;
    border-radius: 5px;
    padding: 5px 10px;
}

section#form form input[type='text']::placeholder{
    opacity: 1;
}

section#form form .alert{
    font-size: 12px;
    font-weight: 700;
    color: var(--primary-color);
}

section#form h3{
    color: #fff;
    font-size: 14px;
    text-align: center;
    margin-top: 20px;
}

section#form .radio{
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
}

section#form .radio label input[type='radio']{
    display: none;
}

section#form .radio label{
    color: #fff;
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 5px;
}

section#form .radio span{
    width: 14px;
    height: 14px;
    border-radius: 50%;
    border: 3px solid #fff;
    background-color: #fff;
}

section#form .radio label input[type='radio']:checked + span{
    background-color: #000;
}

section#form button{
    margin: 15px auto 0 auto;
    width: 80%;
    font-size: 16px;
    padding: 5px;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    transition: transform 0.3s ease-in-out;
}

section#form button:hover{
    transform: scale(1.1);
}

section#form a{
    margin-top: 20px;
    display: flex;
    align-items: center;
}

section#form a img{
    width: 50px;
    position: relative;
    z-index: 999;
}

section#form a span{
    background-color: #50A046;
    font-size: 20px;
    padding: 5px 15px 5px 30px;
    border-radius: 10px;
    margin-left: -20px;
    position: relative;
    z-index: 99;
}

@media screen and (max-width:1279px){

    section#form{
        position: relative;
        height: auto;
        width: 100vw;
    }

    section#form form{
        max-width: 80vw;
    }
}

@media screen and (max-width:768px){

    section#form form{
        margin-top: 10vh;
    }

    section#form h3{
        font-size: 12px;
    }

    section#form .radio{
        padding: 0;
    }

    section#form .radio label{
        font-size: 12px;
    }

    section#form .radio span{
        width: 12px;
        height: 12px;
        border-width: 2px;
    }

    section#form a{
        display: none;
    }
}

@media screen and (max-width:350px){

    section#form .radio label{
        font-size: 11px;
    }

    section#form .radio span{
        width: 11px;
        height: 11px;
        border-width: 2px;
    }

    section#form a{
        display: none;
    }
}

/* ZAP */

section#zap-modal{
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.7);
    position: fixed;
    z-index: 999999;
    top: 0;
    left: 0;
    display: none;
}

section#zap-modal.active{
    display: block;
}

section#zap-modal form{
    display: flex;
    flex-direction: column;
    width: 300px;
    position: absolute;
    right: 2vw;
    bottom: 5vh;
    border-radius: 10px;
}

section#zap-modal form .header{
    background-color: #005d4f;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    padding: 30px 15px 15px 15px;
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
}

section#zap-modal form .content{
    background-color: #f1e7d8;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 15px;
}

section#zap-modal form .content input{
    width: 100%;
    border: none;
    font-size: 16px;
    padding: 5px 10px;
}

section#zap-modal form .content .alert{
    font-size: 12px;
    color: red;
    font-weight: 600;
    margin-bottom: 10px;
    padding-left: 5px;
}

section#zap-modal form .content button{
    background-color: #00a554;
    border: none;
    color: #fff;
    text-transform: uppercase;
    width: 100%;
    padding: 10px;
}

section#zap-modal form .content button a{
    color: #fff;
}

section#zap-modal form i{
    position: absolute;
    top: 10px;
    right: 10px;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
}

.btn-zap{
    position: fixed;
    bottom: 2vh;
    right: 2vw;
    width: 5vw;
    background-color: transparent;
    border: none;
    display: none;
}

.btn-zap img{
    width: 100%;
}

@media screen and (max-width: 768px){
    
    .btn-zap{
        width: 50px;
        right: 5vw;
        display: block;
    }

    section#zap-modal form{
        width: 280px;
        bottom: 12vh;
    }
}

/* FOOTER */

footer{
    width: 100vw;
}

footer .content{
    padding: 10vh;
    margin: 0 auto;
    width: fit-content;
    display: flex;
    align-items: center;
}

footer .content img{
    height: 15vh;
    margin-right: 5vw;
}

footer .content .contact{
    padding: 2vw;
    border-left: 2px solid var(--primary-color);
    width: 30vw;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

footer .content .contact p, footer .content .contact a{
    color: #000;
    font-weight: 300;
}

footer .content .contact i{
    color: var(--primary-color);
    font-size: 14px;
    margin-right: 10px;
}

footer h3{
    color: var(--primary-color);
    font-weight: 700;
    text-transform: uppercase;
    text-align: center;
    font-size: 8px;
    margin-bottom: 10px;
}

footer .rights{
    background-color: var(--primary-color);
    padding: 10px 0;
    display: flex;
    justify-content: center;
}

footer .rights a, footer .rights p{
    color: #fff;
    font-weight: 400;
    padding: 0 20px;
    border-right: 1px solid #fff;
    font-size: 14px;
}

footer .rights a{
    border: none;
}

@media screen and (max-width:768px){
    
    footer .content{
        padding: 10vh 10vw 5vh 10vw;
        flex-direction: column;
        gap: 20px;
    }

    footer .content img{
        margin: 0;
        height: auto;
        width: 50vw;
        max-width: 150px;
    }

    footer .content .contact{
        width: 80vw;
        border: none;
        text-align: center;
    }

    footer .content .contact p, footer .content .contact a{
        font-size: 12px;
    }

    footer h3{
        padding: 0 10vw;
        font-size: 8px;
        margin-bottom: 20px;
    }

    footer .rights{
        flex-direction: column;
        gap: 10px;
    }

    footer .rights a, footer .rights p{
        text-align: center;
        font-size: 12px;
    }
}